package com.danitheskunk.skunkstuff;

import net.minecraft.core.Registry;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.BlockItem;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.material.Material;
import org.quiltmc.loader.api.ModContainer;
import org.quiltmc.qsl.base.api.entrypoint.ModInitializer;
import org.quiltmc.qsl.block.extensions.api.QuiltBlockSettings;
import org.quiltmc.qsl.item.setting.api.QuiltItemSettings;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SkunkStuff implements ModInitializer {
	public static final Logger LOGGER = LoggerFactory.getLogger("SkunkStuff");

	public static final Block GOBAN_BLOCK = new Block(QuiltBlockSettings.of(
		Material.WOOD).strength(2).opaque(false));

	@Override
	public void onInitialize(ModContainer mod) {
		Registry.register(Registry.BLOCK,
			new ResourceLocation("skunkstuff", "goban"),
			GOBAN_BLOCK
		);
		Registry.register(
			Registry.ITEM,
			new ResourceLocation("skunkstuff", "goban"),
			new BlockItem(GOBAN_BLOCK,
				new QuiltItemSettings().group(CreativeModeTab.TAB_MISC)
			)
		);
		LOGGER.info("Hello Quilt world from {}!", mod.metadata().name());
	}
}
